<?php

/**
 * Description of unisenderApiWrapper
 */
class unisenderApiWrapper extends unisenderApi {

  /**
   * @var array
   */
  protected static $apiServerUrls = array(
    'https://api.unisender.com/ru/api/',
    'https://www.api.unisender.com/ru/api/',
  );

  /**
   * @param string $name
   * @param array  $arguments
   *
   * @return string
   */
  public function __call($name, $arguments) {
    return $this->processApiResult(parent::__call($name, $arguments));
  }

  /**
   * @param array $params
   *
   * @return string
   */
  public function subscribe($params) {
    return $this->processApiResult(parent::subscribe($params));
  }

  protected function processApiResult($api_result) {
    if ($api_result) {
      $result_decoded = json_decode($api_result, TRUE);
      if (isset($result_decoded['error'])) {
        $result = $result_decoded;
      } else {
        $result = isset($result_decoded['result']) ? $result_decoded['result'] : array();
      }
    } else {
      $result = array('error' => t('Error occured while invoking API method @method', array('@method' => $name)));
    }
    return $result;
  }

  /**
   * @param int $retryCount
   *
   * @return string
   */
  protected function getApiHost($retryCount = 0) {
    return self::$apiServerUrls[$retryCount % 2];
  }

}
